Plugin Update Manifest
Update the manifest for a plugin. This is used for development of plugins where the manifest may change frequently and it's useful to be able to update it without re-uploading the entire plugin bundle. This only works for External plugins that were created by uploading a manifest directly. It does not work for Supervised plugins.
/plugins/{plugin_instance_id}/manifestUpdate the manifest for a plugin. This is used for development of plugins where the manifest may change frequently and it's useful to be able to update it without re-uploading the entire plugin bundle.
This only works for External plugins that were created by uploading a manifest directly. It does not work for Supervised plugins.
In: cookie
Path Parameters
Plugin ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The plugin's manifest information read from the plugin itself. This describes the version information, the author, its requested access and other information that the plugin has provided.
This data structure is direct from the plugin itself and is not modified by the runtime. As such, it's not part of the Storyden HTTP API contract so it's left as a free-form object here so that HTTP clients don't rely on its structure here. That being said, the manifest format is defined in a contract as part of the Plugin RPC spec which is a separate spec.
As a HTTP API consumer, you probably won't need to interact with this in
such a way that requires validation, however if you do need the schema,
it is located in plugin.yaml in the same folder as this specification.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/plugins/cc5lnd2s1s4652adtu50/manifest" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "cc5lnd2s1s4652adtu50",
"added_at": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"version": "string",
"status": {
"active_state": "inactive",
"deactivated_at": "2019-08-24T14:15:22Z"
},
"manifest": {},
"connection": {
"mode": "supervised"
}
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Plugin Update Configuration PATCH
Update the configuration for a plugin. Each plugin defines its own set of configuration parameters in its manifest and this endpoint accepts any object validated against that schema. When a valid configuration is received, it is sent to the plugin via RPC and the plugin is expected to apply the new configuration to itself internally.
Plugin Update Package PATCH
Replace the package archive for a supervised plugin installation. The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.